Bug 184113

Summary: No apparent way to disable events while status is Busy
Product: kopete Reporter: Stephan Sokolow <kde_bugzilla_2>
Component: NotificationsAssignee: Kopete Developers <kopete-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: donny579, mhlavink, michal.zajac+kde.org, pali.rohar, sven.burmeister, tiposchi
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 4.10.0
Attachments: Patch
Alternate attempt to quiet notifications when away but not other times

Description Stephan Sokolow 2009-02-12 07:32:22 UTC
Version:           0.70.0 (using 4.2.00 (KDE 4.2.0), Gentoo)
Compiler:          x86_64-pc-linux-gnu-gcc
OS:                Linux (x86_64) release 2.6.25-gentoo-r7-20080501

When my status is "Busy", I still get Plasma notifications when people try to talk to me. (I've got "Use message queue" set)

This is despite unsetting "Enable events while away" which is the closest thing I could find to what I'm looking for and should probably also apply to "Busy" if there isn't a separate toggle.
Comment 1 Michał Zając 2010-07-27 21:16:43 UTC
Confirmed, using KDE SC 4.4.95 (RC 2). No matter what do with "Enable events while away" the notification still show up. The "$USER is typing a message could be turned off as well"
Comment 2 Michał Zając 2010-07-28 01:32:34 UTC
Created attachment 49558 [details]
Patch
Comment 3 Lamarque V. Souza 2011-03-16 22:04:10 UTC
*** Bug 205303 has been marked as a duplicate of this bug. ***
Comment 4 Lamarque V. Souza 2011-03-16 22:04:19 UTC
*** Bug 229306 has been marked as a duplicate of this bug. ***
Comment 5 Lamarque V. Souza 2011-03-16 22:52:10 UTC
*** Bug 143586 has been marked as a duplicate of this bug. ***
Comment 6 Murphy 2011-05-06 13:37:29 UTC
Created attachment 59693 [details]
Alternate attempt to quiet notifications when away but not other times
Comment 7 Murphy 2011-05-06 13:43:05 UTC
Comment on attachment 59693 [details]
Alternate attempt to quiet notifications when away but not other times

The above patch from last year fails to show notifications under some conditions.  Specifically, when msg.direction == Internal && appendMessageEvent && msg.from() && d->eventList.isEmpty() && (!session->account()->isAway() || d->enableEventsWhileAway).  It seems like events SHOULD be shown under these conditions, and like this actually happens quite often.
Comment 8 Pali Rohár 2012-12-17 07:02:50 UTC
SVN commit 1328745 by pali:

Disable notifications in Busy status

This patch disable all visible KNotification for accounts in Busy status.
So now Busy status in Kopete is real Do not Disturb / Busy status without any notifications.

Related: bug 143586
Related: bug 205303
Related: bug 229306


 M  +5 -0      kopete/infoeventwidget.cpp  
 M  +5 -0      libkopete/kopeteaccount.cpp  
 M  +14 -0     libkopete/kopeteaccount.h  
 M  +6 -8      libkopete/kopetechatsession.cpp  
 M  +1 -0      libkopete/kopetemetacontact.cpp  
 M  +4 -0      libkopete/kopeteutils.cpp  
 M  +4 -0      libkopete/private/kopeteviewmanager.cpp  
 M  +4 -0      plugins/otr/authenticationwizard.cpp  
 M  +6 -0      plugins/privacy/privacyplugin.cpp  
 M  +2 -0      protocols/gadu/gaduaccount.cpp  
 M  +2 -1      protocols/groupwise/gwaccount.cpp  
 M  +4 -0      protocols/jabber/jabberaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqcontact.cpp  
 M  +5 -0      protocols/oscar/oscaraccount.cpp  
 M  +1 -1      protocols/skype/libskype/skype.cpp  
 M  +6 -0      protocols/wlm/wlmaccount.cpp  
 M  +17 -0     protocols/yahoo/yahooaccount.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1328745
Comment 9 Pali Rohár 2012-12-17 07:07:16 UTC
SVN commit 1328746 by pali:

Backport r1328745 to 4.10 branch:

Disable notifications in Busy status

This patch disable all visible KNotification for accounts in Busy status.
So now Busy status in Kopete is real Do not Disturb / Busy status without any notifications.

Related: bug 143586
Related: bug 205303
Related: bug 229306


 M  +5 -0      kopete/infoeventwidget.cpp  
 M  +5 -0      libkopete/kopeteaccount.cpp  
 M  +14 -0     libkopete/kopeteaccount.h  
 M  +6 -8      libkopete/kopetechatsession.cpp  
 M  +1 -0      libkopete/kopetemetacontact.cpp  
 M  +4 -0      libkopete/kopeteutils.cpp  
 M  +4 -0      libkopete/private/kopeteviewmanager.cpp  
 M  +4 -0      plugins/otr/authenticationwizard.cpp  
 M  +6 -0      plugins/privacy/privacyplugin.cpp  
 M  +2 -0      protocols/gadu/gaduaccount.cpp  
 M  +2 -1      protocols/groupwise/gwaccount.cpp  
 M  +4 -0      protocols/jabber/jabberaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqcontact.cpp  
 M  +5 -0      protocols/oscar/oscaraccount.cpp  
 M  +1 -1      protocols/skype/libskype/skype.cpp  
 M  +6 -0      protocols/wlm/wlmaccount.cpp  
 M  +17 -0     protocols/yahoo/yahooaccount.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1328746
Comment 10 Pali Rohár 2013-01-11 10:05:08 UTC
SVN commit 1331957 by pali:

Fix showing notification in busy and away status

Based on Murphy patch, thanks!



 M  +5 -1      kopeteviewmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1331957
Comment 11 Pali Rohár 2013-01-11 10:08:27 UTC
SVN commit 1331958 by pali:

Backport r1331957 to 4.10 branch:

Fix showing notification in busy and away status

Based on Murphy patch, thanks!



 M  +5 -1      kopeteviewmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1331958